/**
 * This class holds a value for use in demonstrating 
 * cloning.
 */
public class IntBean {
  private int myNumber;
  /**
   * Construct new bean using the given number.
   * @param n the number to store
   */
  public IntBean(int n) {
    myNumber = n;
  }
  /**
   * @return Returns the myNumber.
   */
  public int getMyNumber() {
    return myNumber;
  }

  /**
   * @param myNumber The myNumber to set.
   */
  public void setMyNumber(int myNumber) {
    this.myNumber = myNumber;
  }
  /**
   * Convert this bean to a String
   * @return bean contents as a String
   */
  public String toString() {
    return Integer.toString(myNumber);
  }
}
